Page MenuHomePhabricator

Get rid of svn keywords in API files
Closed, ResolvedPublic

Description

They're going to be useless in Git. Need to come up with a new versioning scheme.


Version: unspecified
Severity: normal

Details

Reference
bz33287
Related Gerrit Patches:
mediawiki/extensions/SemanticMediaWiki : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/SemanticForms : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/SemanticWatchlist : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/SemanticResultFormats : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/SemanticPageMaker : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/BlueSpiceExtensions : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/BlueSpiceFoundation : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/Survey : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/TemplateInfo : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/LiveTranslate : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/ClickTracking : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/RPED : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/Cargo : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/AjaxLogin : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/ArticleFeedback : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/ArticleFeedbackv5 : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/Configure : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/CongressLookup : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/EmailCapture : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/Contest : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/DeviceMapLogCapture : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/EtherEditor : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/Maps : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/OnlineStatusBar : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/Persona : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/Push : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/Ratings : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/WebPlatformAuth : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/WebPlatformSearchAutocomplete : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/Wikibase : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/WikiObjectModel : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/WikiLexicalData : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/ConventionExtension : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/FlaggedRevs : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/OpenSearchXml : masterRemove long-deprecated ApiBase::getVersion()
mediawiki/extensions/examples : masterRemove long-deprecated ApiBase::getVersion()

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 184650 merged by jenkins-bot:
Remove long-deprecated ApiBase::getVersion()

https://gerrit.wikimedia.org/r/184650

Change 184649 merged by jenkins-bot:
Remove long-deprecated ApiBase::getVersion()

https://gerrit.wikimedia.org/r/184649

Change 184648 merged by jenkins-bot:
Remove long-deprecated ApiBase::getVersion()

https://gerrit.wikimedia.org/r/184648

Change 184653 merged by Legoktm:
Remove long-deprecated ApiBase::getVersion()

https://gerrit.wikimedia.org/r/184653

Change 184671 merged by Legoktm:
Remove long-deprecated ApiBase::getVersion()

https://gerrit.wikimedia.org/r/184671

hashar removed a subscriber: hashar.Jan 13 2015, 9:01 PM

Change 184654 merged by Umherirrender:
Remove long-deprecated ApiBase::getVersion()

https://gerrit.wikimedia.org/r/184654

Change 184664 merged by Umherirrender:
Remove long-deprecated ApiBase::getVersion()

https://gerrit.wikimedia.org/r/184664

Change 184677 merged by jenkins-bot:
Remove long-deprecated ApiBase::getVersion()

https://gerrit.wikimedia.org/r/184677

Change 184676 merged by Umherirrender:
Remove long-deprecated ApiBase::getVersion()

https://gerrit.wikimedia.org/r/184676

Change 184652 merged by MaxSem:
Remove long-deprecated ApiBase::getVersion()

https://gerrit.wikimedia.org/r/184652

Change 184651 merged by jenkins-bot:
Remove long-deprecated ApiBase::getVersion()

https://gerrit.wikimedia.org/r/184651

Change 184675 merged by jenkins-bot:
Remove long-deprecated ApiBase::getVersion()

https://gerrit.wikimedia.org/r/184675

Change 184674 merged by jenkins-bot:
Remove long-deprecated ApiBase::getVersion()

https://gerrit.wikimedia.org/r/184674

Change 184685 merged by jenkins-bot:
Remove long-deprecated ApiBase::getVersion()

https://gerrit.wikimedia.org/r/184685

Change 184673 merged by jenkins-bot:
Remove long-deprecated ApiBase::getVersion()

https://gerrit.wikimedia.org/r/184673

mwjames added a subscriber: mwjames.EditedFeb 8 2015, 12:19 PM

Please refrain from any self-merge not before checking with an extension developer whether 1.19/1.20 compatibility is broken or not.

PleaseStand 5:36 PM
In 1.20 and older, ApiBase::getVersion() was an abstract method, so this change would break compatibility with those MW versions.

https://gerrit.wikimedia.org/r/#/c/184675/

Extensions SemanticWatchlist, SemanticForms and SemanticResultFormats needs reapply when min version is moved up to 1.21 for each extension.

Extension SemanticMediaWiki is on hold for the same reason.

Umherirrender raised the priority of this task from Lowest to Low.Feb 8 2015, 3:03 PM
Umherirrender set Security to None.
Umherirrender removed a subscriber: Umherirrender.

Please refrain from any self-merge

There were not any self-merges of any of the primary patches here (Umherirrender did self-merge reverts of some of the patches he merged). Since self-merging is a rather serious accusation, please refrain from using the term incorrectly. Thanks.

Since self-merging is a rather serious accusation, please refrain from using the term incorrectly. Thanks.

Those merges have been made without consent of any of the extension developers therefore are categorized as self-merges. Please don't make the assumption that just because you can +2 you can do this without contacting a maintainer of those extensions.

Thanks.

Anomie added a comment.Feb 9 2015, 2:22 PM

No, a self-merge is when you merge your own change. Not just when someone who isn't you merges a change to your extension.

Aklapper added a subscriber: Qgil.Feb 10 2015, 1:17 PM

Change 184672 abandoned by Jeroen De Dauw:
Remove long-deprecated ApiBase::getVersion()

Reason:
Our repo is at https://github.com/SemanticMediaWiki/SemanticMediaWiki

Do not submit non-i18n changes on Gerrit.

https://gerrit.wikimedia.org/r/184672

Anomie closed this task as Resolved.Feb 19 2015, 9:05 PM
Anomie claimed this task.

Except for SemanticWhatever this is done, SemanticWhatever is maintaining compatibility with ancient versions of MW in their core branch so it can't be fixed, and the SemanticWhatever devs don't even want patches in Gerrit. So let's call this Resolved.